"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.anyMatchRegexOrMinimatch = exports.matchRegexOrMinimatch = void 0;
const logger_1 = require("../../logger");
const minimatch_1 = require("../minimatch");
const regex_1 = require("../regex");
function matchRegexOrMinimatch(input, pattern) {
    if (pattern.length > 2 && pattern.startsWith('/') && pattern.endsWith('/')) {
        try {
            const regex = (0, regex_1.regEx)(pattern.slice(1, -1));
            return regex.test(input);
        }
        catch (err) {
            logger_1.logger.once.warn({ err, pattern }, 'Invalid regex pattern');
            return false;
        }
    }
    return (0, minimatch_1.minimatch)(pattern, { dot: true }).match(input);
}
exports.matchRegexOrMinimatch = matchRegexOrMinimatch;
function anyMatchRegexOrMinimatch(input, patterns) {
    return patterns.some((pattern) => matchRegexOrMinimatch(input, pattern));
}
exports.anyMatchRegexOrMinimatch = anyMatchRegexOrMinimatch;
//# sourceMappingURL=match.js.map